/*
 * Copyright(C) 2013 Intel Corporation.  All Rights Reserved.
 */



APT.createNamespace("APT");

APT.View = Class.$define("APT.View");
APT.BarButtonDefault = Class.$define("APT.BarButtonDefault", APT.Control);

APT.BackBarButtonDefault = Class.$define("APT.BackBarButtonDefault", APT.BarButtonDefault, {
    __init__: function() {
        this._customView = null;
        this.$super();
    },

    $copy: function() {
        var copyObject = new APT.BackBarButtonDefault();
        copyObject._customView = this._customView;
        return copyObject;
    },

    getRenderMarkup: function() {
        return $(APT.Global.toStaticHTML("<a data-role=\"button\" data-icon=\"arrow-l\" data-theme=\"b\"></a>"));
    },

});


