/*
 * Copyright(C) 2013 Intel Corporation.  All Rights Reserved.
 */



APT.createNamespace("APT");

APT.Enumerator = Class.$define("APT.Enumerator", {
    __init__: function() {
        this.end = 0;
        this.i = 0;
        this.arrRef = null;
    },

    $copy: function() {
        var copyObject = new APT.Enumerator();
        copyObject.end = this.end;
        copyObject.i = this.i;
        copyObject.arrRef = this.arrRef;
        return copyObject;
    },

    allObjects: function() {
        return this.arrRef;
    },

    nextObj: function() {
        if (this.i >= this.arrRef.length)
        {
            return null;
        }
        return this.arrRef[this.i++];
    },

    atEnd: function() {
        if (this.i >= this.arrRef.length)
        {
            return true;
        }
        else
        {
            return false;
        }
    },

});

APT.Enumerator.New = function(arr) {
    var ret = new APT.Enumerator();
    ret.end = arr.length;
    ret.arrRef = arr;
    ret.i = 0;
    return ret;
};


