/*
 * Copyright(C) 2013 Intel Corporation.  All Rights Reserved.
 */



APT.createNamespace("APT");

APT.ViewController = Class.$define("APT.ViewController");
APT.NavigationController = Class.$define("APT.NavigationController", APT.ViewController);

APT.MoreNavigationController = Class.$define("APT.MoreNavigationController", APT.NavigationController, {
    __init__: function() {
        this.$super();
        this.setTabBarItem(new APT.TabBarItem().initWithTabBarSystemItem_tag(APT.TabBarSystemItem.More, 0));
    },

    pushViewController_animated: function(aViewController, animated) {
        if (aViewController instanceof APT.NavigationController)
        {
            this.$super((aViewController).topViewController(), animated);
        }
        else
        {
            this.$super(aViewController, animated);
        }
    },

});


