/*
 * Copyright(C) 2013 Intel Corporation.  All Rights Reserved.
 */



function $$main(mainFunction) {
    $(window).load(function() {
        try
        {
            if (mainFunction !== undefined && mainFunction instanceof Function)
            {
                mainFunction();
            }
            else
            {
                APT.Global.log("Main function not provided.");
            }
        }
        catch(e)
        {
            APT.Global.log("Exception: " + e.toString());
            if(e.stack !== undefined) APT.Global.log("Stack: " + e.stack.toString());
        }
    });
}


APT = {};

APT.Global = Class.$define("APT.Global");

APT.Global.log = function (msg) {
    if (msg === undefined || msg === null) return;
    console.log(msg.toString());
};

APT.Global.toStaticHTML = window["toStaticHTML"] === undefined ? function (arg1) { return arg1; } : function (arg1) { return toStaticHTML(arg1); };

APT.createNamespace = function(name) {
	if(window[name] === undefined){
		window[name] = new Object();
	}
};
