//
//  ViewController.m
//  Accelerometer
//
//  Created by AtomCRT on 4/16/13.
//  Copyright (c) 2013 AtomCRT. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [[UIAccelerometer sharedAccelerometer] setUpdateInterval:1.0/60.0];
    [[UIAccelerometer sharedAccelerometer] setDelegate:self];
    NSLog(@"Start");
    [super viewDidLoad];
}

-(void)awakeAccelerometer
{
    [[UIAccelerometer sharedAccelerometer] setUpdateInterval:1.0/60.0];
    [[UIAccelerometer sharedAccelerometer] setDelegate:self];
    NSLog(@"Start");
}

-(void)accelerometer:(UIAccelerometer *)accelerometer didAccelerate:(UIAcceleration *)acceleration
{
    NSLog(@"Start2");
    x_axis.text = [NSString stringWithFormat:@"X: %f", acceleration.x];
	y_axis.text = [NSString stringWithFormat:@"Y: %f", acceleration.y];
	z_axis.text = [NSString stringWithFormat:@"Z: %f", acceleration.z];
    NSLog(@"x: %g", acceleration.x);
    NSLog(@"y: %g", acceleration.y);
    NSLog(@"z: %g", acceleration.z);
}

-(void)viewDidAppear:(BOOL)animated
{
    [self awakeAccelerometer];
}

-(void)viewDidDisappear:(BOOL)animated
{
    [[UIAccelerometer sharedAccelerometer] setDelegate:nil];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation {
    return (toInterfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}
@end