/*
 * Copyright(C) 2013 Intel Corporation.  All Rights Reserved.
 */



APT.createNamespace("APT");

APT.Event = Class.$define("APT.Event", {
    __init__: function() {
        this._evnt = null;
        this._touches = new APT.Set();
    },

    $copy: function() {
        var copyObject = new APT.Event();
        copyObject._evnt = this._evnt;
        copyObject._touches = this._touches;
        return copyObject;
    },

    typeEvent: function() {
        return APT.EventType.Touches;
    },

    setTouches: function(touches) {
        this._touches = touches;
    },

    allTouches: function() {
        return this._touches;
    },

});


